Bug 97680 - up2date-nox fails if DISPLAY is valid, but un-authorized
up2date-nox fails if DISPLAY is valid, but un-authorized
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: usermode (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-19 05:29 EDT by Crutcher Dunnavant
Modified: 2007-04-18 12:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:26:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Crutcher Dunnavant 2003-06-19 05:29:49 EDT
Description of problem:

up2date and even up2date-nox, even in the text-only modes, really, really
doesn't like having DISPLAY set to a port it doesn't have access to. It works if
the DISPLAY environment is just garbage, but if the value is valid, but refuses
access, it fails, and the program does nothing.

Version-Release number of selected component (if applicable):
up2date-3.1.23-1


How reproducible:
Perfectly

Steps to Reproduce:
1. ssh to a remote machine as a normal user.
ssh crutcher@mule

2. use sudo and su to become root, screwing with the X permissions.
sudo su -

3. run up2date, or up2date-nox
up2date -u
up2date-nox -u
    
Actual results:
&/root&
# up2date -u
X11 connection rejected because of wrong authentication.

&/root&
# up2date-nox -u
X11 connection rejected because of wrong authentication.
Comment 1 Adrian Likins 2003-06-24 20:05:52 EDT
howdy crutcher.

Any suggestions on what it should do in this case?

and verify it's actually up2date and not userhelper
(ie, try /usr/sbin/up2date-nox) and see what it does.
Comment 2 Crutcher Dunnavant 2003-06-24 21:21:34 EDT
Okay, it seems that it is userhelper, as /usr/sbin/up2date-nox works fine, so I
guess this is a userhelper issue, though probably dealing with up2date's configs.

As to what it _should_ do, well, using the law of the least suprising user
interface, any up2date operation which does not use X in its normal behaviour
should not check for X, and any operation which behaives one way when DISPLAY is
set and another when DISPLAY is not set should favour the no DISPLAY method when
the permissions on DISPLAY do not permit operation. While userhelper hooks might
make this difficult for up2date, they should not for up2date-nox.

To reiterate, running up2date-nox should never fail as a result of the DISPLAY
settings.

There could be a larger problem here. /etc/security/console.apps/up2date-nox
sets the GUI option to 'no', so it shouldn't be trying to connect to the GUI.
I've looked at the usermode code, but I've not bothered to trace it all the way
down.

You should be able to reproduce this. On a redhat box, just set DISPLAY to a
valid value which you are not permitted to access from that account. One way to
do this is to ssh with X forwarding, and use 'sudo su -' to switch to root.
Comment 3 Bill Nottingham 2006-08-05 01:47:25 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2007-01-02 14:26:07 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.